Loading...
Searching...
No Matches
BALL::QSAR::Exception::WrongFileFormat Class Reference

`#include <BALL/QSAR/exception.h>`

Inheritance diagram for BALL::QSAR::Exception::WrongFileFormat:

## Public Member Functions

| WrongFileFormat (const char *file, unsigned long line, const char *input_file) throw ()
Public Member Functions inherited from BALL::Exception::GeneralException
| GeneralException ()
| Default constructor.
| GeneralException (const char *file, int line)
| Constructor.
| GeneralException (const char *file, int line, const String &name, const String &message)
| Constructor.
| GeneralException (const GeneralException &exception)
| Copy constructor.
virtual | ~GeneralException () throw ()
| Destructor.
const char * | getName () const
| Returns the name of the exception.
const char * | getMessage () const
| Returns the error message of the exception.
void | setMessage (const std::string &message)
| Modify the exception's error message.
int | getLine () const
| Returns the line number where it occurred.
const char * | getFile () const
| Returns the file where it occurred.

## Additional Inherited Members

const char * | file_
int | line_
std::string | name_
std::string | message_

## Detailed Description

File format observed for an input data file (sdf-file) does not fit the expected file format

Definition at line 89 of file QSAR/exception.h.

## Constructor & Destructor Documentation

## WrongFileFormat()

BALL::QSAR::Exception::WrongFileFormat::WrongFileFormat | ( | const char * | file,
|  | unsigned long | line,
|  | const char * | input_file )
throw | ( | ) |  |  |